> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/sync-updates/publish-as-new-product
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/sync-updates/publish-as-new-product:
    post:
      tags:
        - Publish As New Product
      summary: Publish
      operationId: PublishAsNewProductController_publish_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: projectItemId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublishAsNewProductDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductLinkProposalMutationResponseDto'
components:
  schemas:
    PublishAsNewProductDto:
      type: object
      properties:
        eventId:
          type: string
          pattern: ^[1-9]\d*$
        eventIds:
          minItems: 1
          type: array
          items:
            type: string
            pattern: ^[1-9]\d*$
        projectItemVersion:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        catalogFamilyVersion:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        name:
          type: string
          minLength: 1
          maxLength: 255
      required:
        - eventId
        - eventIds
        - projectItemVersion
        - catalogFamilyVersion
        - name
      additionalProperties: false
    ProductLinkProposalMutationResponseDto:
      type: object
      properties:
        proposalId:
          type: string
        proposalVersion:
          type: number
        status:
          type: string
        catalogFamilyId:
          type: string
        catalogItemId:
          type: string
        idempotent:
          type: boolean
      required:
        - proposalId
        - proposalVersion
        - status
        - catalogFamilyId
        - catalogItemId
        - idempotent

````